Bug 1077705 - love bundles Box2D, enet, luasocket
love bundles Box2D, enet, luasocket
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: love (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeremy Newton
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2014-03-18 09:01 EDT by Ville Skyttä
Modified: 2016-01-01 13:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-01 13:27:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2014-03-18 09:01:42 EDT
https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
https://fedoraproject.org/wiki/Packaging:Treatment_Of_Bundled_Libraries

love appears to bundle Box2D, enet, and luasocket which are available as separate packages in Fedora.
Comment 1 Jeremy Newton 2014-03-19 20:51:15 EDT
Understood, I'll take a look into this when I have some time
Comment 2 Jeremy Newton 2014-04-13 15:44:00 EDT
Sorry for the delay, I've been trying to fix this myself, but i'm having trouble patching it. Either way, I posted this bug upstream, as it seems like there's no option not to use the bundled libraries: https://bitbucket.org/rude/love/issue/870/allow-for-shared-version-of-libraries
Comment 3 Ville Skyttä 2014-04-13 17:17:01 EDT
If that's so, you'll need to get an exception from the FPC:
https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries#Exceptions

...and mark it properly in the specfile:
https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries#Requirement_if_you_bundle

Regarding the upstream question "why", I suggest pointing them at https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries#Why_no_Bundled_Libraries
Comment 4 Jeremy Newton 2014-07-05 09:44:25 EDT
Ticket created (sorry for the delay):
https://fedorahosted.org/fpc/ticket/443
Comment 5 Jaroslav Reznik 2015-03-03 11:59:47 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 6 Jeremy Newton 2016-01-01 13:27:04 EST
Added rational to spec on rawhide, as accordance with the new bundling guidelines.

Note You need to log in before you can comment on or make changes to this bug.